petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscDrawEllipse

Draws an ellipse onto a drawable.

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawEllipse(PetscDraw draw, PetscReal x, PetscReal y, PetscReal a, PetscReal b, int c)

Not collective

### Input Parameters

| draw | - The drawing context
| x,y | - The center
| a,b | - The major and minor axes lengths
| c | - The color

### See Also

PetscDrawRectangle(), PetscDrawTriangle(), PetscDrawMarker(), PetscDrawPoint(), PetscDrawString(), PetscDrawArrow()

### Level

beginner

### Location

src/sys/classes/draw/interface/dellipse.c

### Implementations

PetscDrawEllipse_Image in src/sys/classes/draw/impls/image/drawimage.c
PetscDrawEllipse_Null in src/sys/classes/draw/impls/null/drawnull.c
PetscDrawEllipse_TikZ in src/sys/classes/draw/impls/tikz/tikz.c
PetscDrawEllipse_X in src/sys/classes/draw/impls/x/xops.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages